EDIT - bug #9917

etopo1 broken due to server migration at noaa.gov
01/14/2022 05:17 PM - Andreas Kohlbecker

Status: Closed Start date: 05/02/2022
Priority: Priority14 Due date: 05/06/2022
Assignee: Katja Luther % Done: 70%
Category: cdm-dataportal Estimated time: 2:00 hours
Target version: Release 5.32

Severity: normal Found in Version:

Description

The map service at noaa has been moved to a new server and map are thus available from new service endpoints:
Documentation on the new endpoints:

e https://gis.ngdc.noaa.gov/arcgis/rest/services
o https://gis.ngdc.noaa.gov/arcgis/rest/services/etopo1/ImageServer
o https://gis.ngdc.noaa.gov/arcgis/rest/services/etopoi/MapServer
e https://tiles.arcgis.com/tiles/C8EMgrsFcRFL6LrL/arcgis/rest/services/ETOPO1_Global_Relief_Model_Color_Shaded_Relief/Ma
pServer/
¢ https://tiles.arcgis.com/tiles/C8EMgrsFcRFL6LrL/arcgis/rest/services/ETOPO1_Global_Relief Model_Color_Shaded Relief/Ma

pServer/0

TODO:

e adapt the layer definition in the cdm_dataportal project
e configure a new service in the mapproxy and adapt the cache and layer definitions

Associated revisions

Revision b8deaebb - 02/21/2022 01:22 PM - Andreas Kohlbecker

ref #9917 removing etopo1 layers with db update method - needs testing

Revision 3844ef1e - 05/02/2022 02:40 PM - Katja Luther
fix #9917: remove etopo1 and add update script

History

#1 - 01/14/2022 05:29 PM - Andreas Kohlbecker

see mapproxy git repo branch nooa-etopo1-fix for a first attempt to fix this in mapproxy

#2 - 01/14/2022 06:28 PM - Andreas Miiller
- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Release 5.45

#3 - 01/17/2022 04:43 PM - Andreas Kohlbecker

... otherwise there might no longer be a need to support this map layer since we can use OpenTopoMap.

#4 - 02/21/2022 03:55 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Katja Luther

- % Done changed from 0 to 30

#5 - 02/21/2022 03:55 PM - Andreas Miller

- Status changed from In Progress to Resolved

Is in branch, please test locally before merging with develop
#6 - 03/11/2022 11:40 AM - Andreas Miiller
- Priority changed from New to Priority14

- Target version changed from Release 5.45 to Release 5.31

#7 - 03/11/2022 02:54 PM - Andreas Miller
- Due date set to 03/25/2022
- Start date set to 03/21/2022

#8 - 03/31/2022 12:35 PM - Andreas Miiller

- Due date changed from 03/25/2022 to 04/14/2022

- Target version changed from Release 5.31 to Release 5.32
- Start date changed from 03/21/2022 to 04/11/2022

- Estimated time set to 2:00 h

#9 - 04/27/2022 12:10 PM - Andreas Miiller
- Due date changed from 04/14/2022 to 05/06/2022
- Start date changed from 04/11/2022 to 05/02/2022

#10 - 05/02/2022 02:40 PM - Katja Luther
- % Done changed from 30 to 70

Applied in changeset cdm-dataportal|3844ef1e68d48ab58fa0d1d292e68fef149abf2a.

#11 - 05/02/2022 02:41 PM - Katja Luther

- Status changed from Resolved to Closed

tested the changes, additionaly removed the etopo1 entries in configuration table.

04/20/2024 22


https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/3844ef1e68d48ab58fa0d1d292e68fef149abf2a
http://www.tcpdf.org

